signature KFolyo =
sig
  (* helyes_feladvany ft = A Folyo.folyo fggvny els paramtere
                           mindenkppen kielgti ezt a prediktumot.
   *)
  val helyes_feladvany : TFolyo.folyoterkep -> bool

  (* folyo_be f = Az f szvegfjlbl beolvasott adatokbl kpzett
                  folytrkp.
   *)
  val folyo_be : string -> TFolyo.folyoterkep

  (* folyo_ki(m, ft, fvk) = Az ft folytrkp fvk megoldslistjt
                            olvashat formban kirja az m szvegfjlba.
   *)
  val folyo_ki : string * TFolyo.folyoterkep * TFolyo.folyovonal list -> unit

  (* megold(f, m) = Beolvas egy feladvnyt az f szvegfjlbl s kirja
                    az sszes megoldst az m szvegfjlba. Ehhez
                    termszetesen szksge van a Folyo.folyo fggvnyre.
                    Eredmnye az f nevet, a megoldsok szmt s a futsi
                    idt mp-ben tartalmaz fzr.
  *)
  val megold : string * string -> string
end
