structure TFolyo =
struct
  type     sor         = int (* 0 < sor *)
  type     oszlop      = int (* 0 < oszlop *)
  type     dokkszam    = int (* 1 <= dokkszam <= 7 *)
  datatype mtipus      = Folyo | Forras | To | Ret | Kikoto of dokkszam
  type     pont        = sor * oszlop
  type     meret       = sor * oszlop
  type     mezo        = sor * oszlop * mtipus
  type     folyoterkep = meret * mezo list
  type     folyovonal  = pont list
end
